﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using WpfApplication227.ViewModel;

namespace WpfApplication227
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
          
        }

        private void Marker_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Marker m = sender as Marker;
            if (m.Tag == null)
            {
                m.Tag = "Y";
                
            } else if (m.Tag == "Y")
            {
                m.Tag = "N";
            } else m.Tag = "Y";
           
            Polygon pg = Infragistics.Windows.Utilities.GetDescendantFromType(m, typeof(Polygon),false) as Polygon;
            if (m.Tag != "Y")
            {
                pg.Fill = pg.Tag as SolidColorBrush;
            }
            else
            {
                pg.Tag = pg.Fill;
                pg.Fill = new SolidColorBrush(Colors.Yellow);

            }

            DataContext dc = m.Content as Infragistics.Controls.Charts.DataContext;
            string s = "series" + dc.Series.Name;
            WeeklyTotals wt = dc.Item as WeeklyTotals;
            MessageBox.Show(s);
        }

        private void Rectangle_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            Rectangle r = sender as Rectangle;
          //  r.Fill = new SolidColorBrush(Colors.Yellow);
            r.Opacity = 0.5;
            DataContext dc = r.DataContext as Infragistics.Controls.Charts.DataContext;
            string s = "series" + dc.Series.Name;
            WeeklyTotals wt = dc.Item as WeeklyTotals;
            MessageBox.Show(s);
        }
    }
}
